Bug 20309 - Add main element to HTML 5.1
Add main element to HTML 5.1
Status: RESOLVED FIXED
Product: HTML.next
Classification: Unclassified
Component: default
unspecified
Other All
: P2 normal
: ---
Assigned To: Robin Berjon
HTML WG Bugzilla archive list
:
Depends on:
Blocks: 19967
  Show dependency treegraph
 
Reported: 2012-12-08 15:58 UTC by steve faulkner
Modified: 2013-01-12 09:36 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description steve faulkner 2012-12-08 15:58:16 UTC
The main element is a newly specified feature that has broad support from the community. It has been accepted by the WG for FPWD it has solid use cases and data based support evidence. It is therefore requested that it be added to HTML 5.1. https://dvcs.w3.org/hg/html-extensions/raw-file/tip/maincontent/index.html
Comment 1 Silvia Pfeiffer 2013-01-07 01:33:15 UTC
Steve, if it's not asking for too much: it would help if you prepared a fork from the GitHub master branch in your own GitHub account and then prepare the changes that you would like to see to the spec there. When done, you can just create a pull request. That would make our lives as editors much easier.
Comment 2 steve faulkner 2013-01-07 17:37:42 UTC
(In reply to comment #1)
> Steve, if it's not asking for too much: it would help if you prepared a fork
> from the GitHub master branch in your own GitHub account and then prepare
> the changes that you would like to see to the spec there. When done, you can
> just create a pull request. That would make our lives as editors much easier.

HI Silvia, have made changes:
https://github.com/stevefaulkner/html/commits/FPWD51

have not made pull request yet
Comment 3 steve faulkner 2013-01-08 10:07:23 UTC
(In reply to comment #1)
> Steve, if it's not asking for too much: it would help if you prepared a fork
> from the GitHub master branch in your own GitHub account and then prepare
> the changes that you would like to see to the spec there. When done, you can
> just create a pull request. That would make our lives as editors much easier.

have made a few more changes, which i think should cover what is needed and have made pull request

https://github.com/stevefaulkner/html/commits/FPWD51
Comment 4 Robin Berjon 2013-01-08 10:18:05 UTC
There are a few issues with the pull request; I'm working with Steve on solving them.
Comment 5 Silvia Pfeiffer 2013-01-08 10:33:41 UTC
Nice. FWIW: I thought the branch should be off "master" and not off "FPWD51".
Comment 6 Robin Berjon 2013-01-11 13:16:20 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are
satisfied with this response, please change the state of this bug to CLOSED. If
you have additional information and would like the Editor to reconsider, please
reopen this bug. If you would like to escalate the issue to the full HTML
Working Group, please add the TrackerRequest keyword to this bug, and suggest
title and text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this document:

   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: Folded the main extension into the spec
Rationale: It's a good feature.